<template>
  <div class="container">
    <div>
      <fuckyshit />
      <h1 class="title">
        NopeHope
      </h1>
      <div class="para">
        <p>Hi, so I'm NopeHope (also sometimes known as bad), an informal nerd studying computer science at Anglia Ruskin University</p>
        <p>This is my website, a place where I will put just random stuff, so glhf and dont die :)</p>
      </div>
      <div class="links">
        <not-button href="./about">About Me</not-button>
        <not-button href="./pets">My Pets &lt;3</not-button>
        <not-button href="./index">Pointless Button</not-button>
      </div>
    </div>
  </div>
</template>

<script>
import fuckyshit from '../components/fuckyshit.vue';
import NotButton from '../components/not-button.vue';
export default {
  components: { fuckyshit, NotButton }
};
</script>

<style>
html{
  background: #fdfbee;
}

.container {
  margin: 0 auto;
  display: flex;
  min-height: 100vh;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.title {
  font-family:
    'Quicksand',
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  display: block;
  font-weight: 300;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.para {
  font-family:
    'Quicksand',
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  display: block;
  font-weight: 100;
  color: #35495e;
  letter-spacing: 1px;
}

@media screen and (min-width: 601px) {
  .title {
    font-size: 100px;
  }
  .subtitle{
    font-size: 50px;
  }
  .para{
    font-size: 30px;
  }

}

@media screen and (max-width: 600px) {
  .title {
    font-size: 50px;
  }
  .subtitle{
    font-size: 40px;
  }
  .para{
    font-size: 30px;
  }
}

.links {
  padding-top: 15px;
}
</style>
